summaryrefslogtreecommitdiff
path: root/test/test_flac.sh
diff options
context:
space:
mode:
authorJosh Coalson <jcoalson@users.sourceforce.net>2006-10-06 05:31:27 +0000
committerJosh Coalson <jcoalson@users.sourceforce.net>2006-10-06 05:31:27 +0000
commitcc5c1d8837185ac60630fd8cc78cf1585fa84720 (patch)
treece0f058928d96f336d68f8be5eea3d781c864cd2 /test/test_flac.sh
parentb73fff6ee97e4958fc1eb66e3fff097b97dc6be2 (diff)
downloadflac-cc5c1d8837185ac60630fd8cc78cf1585fa84720.tar.gz
complete WAVEFORMATEXTENSIBLE support, multichannel assignments in format and documentation, multichannel support for AIFF and WAVE, channel mapping, new --channel-map=none option to flac, saving and restoring of WAVEFORMATEXTENSIBLE channel mask to/from tag, robust handling of "odd" sample resolutions (i.e. not multiple of 8 bits) for AIFF and WAVE
Diffstat (limited to 'test/test_flac.sh')
-rwxr-xr-xtest/test_flac.sh12
1 files changed, 6 insertions, 6 deletions
diff --git a/test/test_flac.sh b/test/test_flac.sh
index 6bf71b9e..c4d11800 100755
--- a/test/test_flac.sh
+++ b/test/test_flac.sh
@@ -159,9 +159,9 @@ rt_test_wav ()
{
f="$1"
echo -n "round-trip test ($f) encode... "
- run_flac $SILENT --force --verify $f -o rt.flac || die "ERROR"
+ run_flac $SILENT --force --verify --channel-map=none $f -o rt.flac || die "ERROR"
echo -n "decode... "
- run_flac $SILENT --force --decode -o rt.wav rt.flac || die "ERROR"
+ run_flac $SILENT --force --decode --channel-map=none -o rt.wav rt.flac || die "ERROR"
echo -n "compare... "
cmp $f rt.wav || die "ERROR: file mismatch"
echo "OK"
@@ -172,9 +172,9 @@ rt_test_aiff ()
{
f="$1"
echo -n "round-trip test ($f) encode... "
- run_flac $SILENT --force --verify $f -o rt.flac || die "ERROR"
+ run_flac $SILENT --force --verify --channel-map=none $f -o rt.flac || die "ERROR"
echo -n "decode... "
- run_flac $SILENT --force --decode -o rt.aiff rt.flac || die "ERROR"
+ run_flac $SILENT --force --decode --channel-map=none -o rt.aiff rt.flac || die "ERROR"
echo -n "compare... "
cmp $f rt.aiff || die "ERROR: file mismatch"
echo "OK"
@@ -186,11 +186,11 @@ rt_test_flac ()
{
f="$1"
echo -n "round-trip test ($f->flac->flac->wav) encode... "
- run_flac $SILENT --force --verify $f -o rt.flac || die "ERROR"
+ run_flac $SILENT --force --verify --channel-map=none $f -o rt.flac || die "ERROR"
echo -n "re-encode... "
run_flac $SILENT --force --verify -o rt2.flac rt.flac || die "ERROR"
echo -n "decode... "
- run_flac $SILENT --force --decode -o rt.wav rt2.flac || die "ERROR"
+ run_flac $SILENT --force --decode --channel-map=none -o rt.wav rt2.flac || die "ERROR"
echo -n "compare... "
cmp $f rt.wav || die "ERROR: file mismatch"
echo "OK"